Bug 66511 - rpm ignores immutable attribute
rpm ignores immutable attribute
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 12:34 EDT by John Reiser
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-11 12:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2002-06-11 12:34:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.16-KRUD-perfctr2.3.6
i586)

Description of problem:
rpm ignores the immutable attribute of files in an ext2 filesystem,
which causes the transaction to fail.  Instead, rpm should check
the immutable attribute during transaction setup.  There should
be a command-line option to override [and replace] the attribute,
or to query the user interactively.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/chattr +i foo   # any file that will be replaced
2. rpm -Uvh foo.rpm
3.
	

Actual Results:  No checking in advance; rpm attempts the transaction.
Abort with EPERM; transaction failed.

Expected Results:  rpm should detect the problem during transaction setup,
and either temporarily set -i, then install, then set +i;
or give a message, then query the user.

Additional info:  Usually encountered during install or upgrade,
such as bug #64671, where the symptoms look like a problem in anaconda.
Comment 1 Jeff Johnson 2002-06-12 11:20:47 EDT
Yup, rpm pays no attention to immutable,
and furthermore doesn't understand RO file systems.

Note You need to log in before you can comment on or make changes to this bug.